SFML 3.0.2
Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::SoundStream::Chunk Struct Reference

Structure defining a chunk of audio data to stream. More...

`#include <SFML/Audio/SoundStream.hpp>`

## Public Attributes

const std::int16_t * | samples {}
| Pointer to the audio samples.
std::size_t | sampleCount {}
| Number of samples pointed by Samples.

## Detailed Description

Structure defining a chunk of audio data to stream.

Definition at line 58 of file SoundStream.hpp.

## Member Data Documentation

## ◆ sampleCount

std::size_t sf::SoundStream::Chunk::sampleCount {}

Number of samples pointed by Samples.

Definition at line 61 of file SoundStream.hpp.

## ◆ samples

const std::int16_t* sf::SoundStream::Chunk::samples {}

Pointer to the audio samples.

Definition at line 60 of file SoundStream.hpp.

The documentation for this struct was generated from the following file:

- SoundStream.hpp